org.apache.hadoop.yarn.api.records

## Enum LogAggregationStatus

- java.lang.Object
- - java.lang.Enum<LogAggregationStatus>
  - - org.apache.hadoop.yarn.api.records.LogAggregationStatus

- All Implemented Interfaces:
    Serializable, Comparable<LogAggregationStatus>

      public enum LogAggregationStatus
      extends Enum<LogAggregationStatus>

  Status of Log aggregation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED` Log Aggregation is Disabled.
    `FAILED` Log Aggregation is completed.
    `NOT_START` Log Aggregation does not Start.
    `RUNNING` Log Aggregation is Running.
    `RUNNING_WITH_FAILURE` Log Aggregation is Running, but has failures in previous cycles.
    `SUCCEEDED` Log Aggregation is Succeeded.
    `TIME_OUT` The application is finished, but the log aggregation status is not updated for a long time.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LogAggregationStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LogAggregationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLED

          public static final LogAggregationStatus DISABLED

      Log Aggregation is Disabled.

    - #### NOT_START

          public static final LogAggregationStatus NOT_START

      Log Aggregation does not Start.

    - #### RUNNING

          public static final LogAggregationStatus RUNNING

      Log Aggregation is Running.

    - #### RUNNING_WITH_FAILURE

          public static final LogAggregationStatus RUNNING_WITH_FAILURE

      Log Aggregation is Running, but has failures in previous cycles.

    - #### SUCCEEDED

          public static final LogAggregationStatus SUCCEEDED

      Log Aggregation is Succeeded. All of the logs have been aggregated successfully.

    - #### FAILED

          public static final LogAggregationStatus FAILED

      Log Aggregation is completed. But at least one of the logs have not been aggregated.

    - #### TIME_OUT

          public static final LogAggregationStatus TIME_OUT

      The application is finished, but the log aggregation status is not updated for a long time.
      See Also:
        `YarnConfiguration.LOG_AGGREGATION_STATUS_TIME_OUT_MS`

  - ### Method Detail

    - #### values

          public static LogAggregationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogAggregationStatus c : LogAggregationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogAggregationStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.